Name:           seaview
Version:        0
Release:        0.1.20070615%{?dist}
Summary:        Graphical multiple sequence alignment editor

Group:          Applications/Engineering
License:        GPL
URL:            http://pbil.univ-lyon1.fr/software/seaview.html
Source0:        ftp://pbil.univ-lyon1.fr/pub/mol_phylogeny/seaview/seaview.tar
Source1:        seaview.desktop
Patch0:         seaview-chris.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  fltk-devel
BuildRequires:  desktop-file-utils

%description
SeaView is a graphical multiple sequence alignment editor developed by Manolo
Gouy.  SeaView is able to read and write various alignment formats (NEXUS, MSF,
CLUSTAL, FASTA, PHYLIP, MASE).  It allows to manually edit the alignment, and
also to run DOT-PLOT or CLUSTALW/MUSCLE programs to locally improve the
alignment.


%prep
%setup -q -c
%patch0 -p 1 -b .chris


%build
make %{?_smp_mflags} seaviewps


%check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/seaview
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 seaview $RPM_BUILD_ROOT/%{_bindir}
install -m 644 seaview.help $RPM_BUILD_ROOT%{_datadir}/seaview/
desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 0644 -p seaview.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/seaview.xpm


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README protein.mase
%{_bindir}/seaview
%{_datadir}/seaview/
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Thu Jun 28 2007 Christian Iseli <Christian.Iseli@licr.org> 0-0.1.20070615
 - New upstream tarball.
 - Add desktop file and icon.

* Wed Jun 13 2007 Christian Iseli <Christian.Iseli@licr.org> 0-0.1.20070515
 - Actually follow pre-release strategy for version/release...
 - New upstream "version".

* Tue May  8 2007 Christian Iseli <Christian.Iseli@licr.org> 0-0.20070417
 - Follow pre-release strategy for version/release.

* Mon May  7 2007 Christian Iseli <Christian.Iseli@licr.org> 0.20070417-0
 - Create spec file.
